libdevice User's Guide (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.9. __nv_asinhf

Prototype:

    float @__nv_asinhf(float %x)

Description:

Calculate the arc hyperbolic sine of the input argument `x`.

Returns:

- __nv_asinh(0) returns 1.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes